module Clp_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libClp
const libClp_path = "/usr/lib/libClp.so.1"
libClp_handle = C_NULL
get_libClp_path() = libClp_path
const libClp = "libClp.so.1"
export libClpSolver
const libClpSolver_path = "/usr/lib/libClpSolver.so.1"
libClpSolver_handle = C_NULL
get_libClpSolver_path() = libClpSolver_path
const libClpSolver = "libClpSolver.so.1"
export libOsiClp
const libOsiClp_path = "/usr/lib/libOsiClp.so.1"
libOsiClp_handle = C_NULL
get_libOsiClp_path() = libOsiClp_path
const libOsiClp = "libOsiClp.so.1"
export clp
const clp_path = "/usr/bin/clp"
clp(f::Function; kw...) = f(clp_path)
clp(; kw...) = Cmd([clp_path])
function __init__()
    global libClp_handle = dlopen(libClp_path)
    global libClpSolver_handle = dlopen(libClpSolver_path)
    global libOsiClp_handle = dlopen(libOsiClp_path)
end
end
